<?php
/**
*
* @package phpBB3
* @version $Id: prime_subject_check.php,v 1.5.0 2010/11/22 13:26:00 primehalo Exp $
* @copyright (c) 2008-2010 Ken F. Innes IV
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
// This was an AJAX request
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup(array('posting', 'mcp', 'viewtopic'));

// Setup variables
$post_data	= array();
$error 		= array();
$mode		= 'post';
$forum_id	= request_var('f', 0);
$subject	= utf8_normalize_nfc(request_var('subject', '', true));
$post_data['post_subject'] = $subject;

include($phpbb_root_path . 'includes/prime_subject_check.php');

// Do the check
$prime_subject_check->look_for_posts();

// Return the AJAX result
$return = (empty($error[0]) ? '' : $error[0]) . '&subject=' . htmlspecialchars_decode($prime_subject_check->subject) . '&bypass=' . ($prime_subject_check->bypass ? 1 : 0);
echo $return;
?>