<?php
/**
*
* prime_subject_check [Español]
*
* @package language
* @version $Id: prime_subject_check.php,v 1.4.16 2009/11/28 14:45:00 primehalo Exp $
* @copyright (c) 2008 Ken F. Innes IV
* @traslate Alorse http://www.phpbb-es.com/
* @Submitted by http://www.zonadd.net/
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'SUBJECT_CHECK_SIMILAR_TOPIC'		=> 'El asunto de su tema es similar al de un tema existente. Por favor revise este tema, y si el mensaje es similar, dejelo como respuesta adicional en lugar de crear un nuevo tema.',
	'SUBJECT_CHECK_STRICT_TOPIC'		=> 'El asunto de su tema es similar al de un tema existente. Por favor dejelo como respuesta adicional en lugar de crear un nuevo tema.',
	'SUBJECT_CHECK_SIMILAR_TOPICS'		=> 'El asunto de su tema es similar al de temas existentes. Por favor compruebe estos temas, y si el mensaje es similar, dejelo como respuesta adicional en lugar de crear un nuevo tema.',
	'SUBJECT_CHECK_STRICT_TOPICS'		=> 'El asunto de su tema es similar al de temas actuales. Por favor, responda a la que más se ajusta a su mensaje en lugar de crear un nuevo tema.',

	// One of these two strings will be appended to the above strings, so they need a leading space or some other separator.
	'SUBJECT_CHECK_NEW_WINDOW'			=> ' (Los enlaces abrirán en una nueva ventana/pestaña.)',
	'SUBJECT_CHECK_SAME_WINDOW'			=> ' (Los enlaces <em>NO</em> se abrirán en una nueva ventana/pestaña.)',

	// ACP labels
	'SUBJECT_CHECK_ACP_TITLE'			=> 'Temas Similares',
	'SUBJECT_CHECK_ACP_ENABLE'			=> 'Habilitar Temas Similares' ,
	'SUBJECT_CHECK_ACP_ENABLE_EXPLAIN'	=> 'Suspender esta carateristica la incapacitará para todos los foros.',
	'SUBJECT_CHECK_ACP_BYPASS'			=> 'Permiten eludir',
	'SUBJECT_CHECK_ACP_BYPASS_EXPLAIN'	=> 'Permite eludir una persona para enviar su tema, incluso después de que se presenta con una lista de temas similares.',
	'SUBJECT_CHECK_ACP_STRICT'			=> 'Activar el modo estricto',
	'SUBJECT_CHECK_ACP_STRICT_EXPLAIN'	=> 'Solo busca los temas que tienen los mismos asuntos.',
	'SUBJECT_CHECK_ACP_AJAX'			=> 'Habilitar modo AJAX',
	'SUBJECT_CHECK_ACP_AJAX_EXPLAIN'	=> 'Mostrar los resultados sin necesidad de cargar otra página.',
	'SUBJECT_CHECK_ACP_LOCKED'			=> 'Bloquea temas similares',
	'SUBJECT_CHECK_ACP_LOCKED_EXPLAIN'	=> 'Bloquea los temas cuando encuentra el mismo asunto',
	'SUBJECT_CHECK_ACP_POP'				=> 'Abre el tema en una nueva ventana/pestaña',
	'SUBJECT_CHECK_ACP_POP_EXPLAIN'		=> 'Abra los enlaces de asuntos similares en una nueva ventana/pestaña del navegador.',
	'SUBJECT_CHECK_ACP_ADMIN'			=> 'Administrador anula',
	'SUBJECT_CHECK_ACP_ADMIN_EXPLAIN'	=> 'Permitir a los administradores postear sin verificar temas.',
	'SUBJECT_CHECK_ACP_MOD'				=> 'Moderador anula',
	'SUBJECT_CHECK_ACP_MOD_EXPLAIN'		=> 'Permitir a los moderadores postear sin verificar temas.',
	'SUBJECT_CHECK_ACP_COMMON'			=> 'Revisar palabras comunes',
	'SUBJECT_CHECK_ACP_COMMON_EXPLAIN'	=> 'Palabras comunes son normalmente ignoradas cuando se comparan asuntos.',
	'SUBJECT_CHECK_ACP_FORUMS'			=> 'Revisar todos los foros',
	'SUBJECT_CHECK_ACP_FORUMS_EXPLAIN'	=> 'Comprueba todos los foros en vez de solamente en el que se envia el tema.',
	'SUBJECT_CHECK_ACP_FNAMES'			=> 'Mostrar nombres de foro',
	'SUBJECT_CHECK_ACP_FNAMES_EXPLAIN'	=> 'Mostrar nombre del foro delante de cada tema que se encuentre.',
	'SUBJECT_CHECK_ACP_LIMIT'			=> 'Número máximo de temas para mostrar',
	'SUBJECT_CHECK_ACP_LIMIT_EXPLAIN'	=> 'Se pone a 0 para un número ilimitado de temas.',
	'SUBJECT_CHECK_ACP_ACTIVE'			=> 'Compruebe temas activos en estos días',
	'SUBJECT_CHECK_ACP_ACTIVE_EXPLAIN'	=> 'Sólo comprobar los temas que han tenido actividad dentro de este número de días. Se pone a 0 para ilimitado.',
	'SUBJECT_CHECK_ACP_COUNT'			=> 'Contar temas',
	'SUBJECT_CHECK_ACP_COUNT_EXPLAIN'	=> 'Los temas de usuarios por encima de esta numero no serán comprobados para asuntos similares. Se pone a 0 para ilimitado.',
	'SUBJECT_CHECK_ACP_BYPASS_EXACT'	=> 'Si no existe coincidencia exacta',

	// ACP labels for individual forums
	'SUBJECT_CHECK_ACP_FORUM'			=> 'Habilitar verificación de asuntos',
	'SUBJECT_CHECK_ACP_FORUM_EXPLAIN'	=> 'Revise los temas de nuevos temas en contra de temas existentes.',

	// AJAX
	'SUBJECT_CHECK_WORKING'				=> 'Comprobando temas con asustos similares....',
));

?>